[script]
n0=;====================================================================
n1=;This Dialog was made Casi, Copyright© 2000
n2=;Please visit http://www.Scripts-mirc.net for more informations.
n3=;====================================================================
n4=
n5=alias SmsSender dialog -m SmsSender SmsSender
n6=
n7=dialog SmsSender {
n8=  title "Mon Sms Sender"
n9=  size 367 95 371 491
n10=  icon 1, 1 1 370 312, $shortfn($scriptdir $+ \1.jpg), noborder
n11=  icon 5, 1 313 113 39, $shortfn($scriptdir $+ \4.jpg), noborder
n12=  icon 6, 114 313 257 82, $shortfn($scriptdir $+ \3.jpg), noborder
n13=  icon 7, 1 352 113 43, $shortfn($scriptdir $+ \5.jpg), noborder
n14=  icon 8, 1 395 370 99, $shortfn($scriptdir $+ \2.jpg), noborder
n15=  edit "06", 2, 127 87 93 23, limit 10 return
n16=  edit "Votre Mail ici", 3, 128 128 213 23, return
n17=  edit "", 4, 128 264 234 170, multi autohs return
n18=  icon 10, 289 13 20 20, $shortfn($scriptdir $+ \orange.bmp), noborder
n19=  icon 11, 255 11 25 24, $shortfn($scriptdir $+ \sfr.bmp), noborder
n20=  icon 12, 223 9 26 26, $shortfn($scriptdir $+ \bouygues.bmp), noborder
n21=  text "138", 13, 163 460 20 15, multi read return
n22=  button "&Hide", 9, 0 0 0 0, hide Ok
n23=}
n24=on *:dialog:SmsSender:init:0: { 
n25=  Unset %Login.*
n26=  Unset %Sms*
n27=  .Sockopen SmsInit $+ $rand(1,1000000) www.message-sms.com 80
n28=}
n29=on *:Sockopen:SmsInit*: {
n30=  if ($sockerr > 0) { .timer 1 0 $input(Une erreur de connection est apparue $crlf L'application vas se fermer.,516,Error!) | return | dialog -x SmsSender SmsSender }
n31=  .sockwrite -t $sockname GET /Message1.asp HTTP/1.1 $+ $crlf
n32=  .sockwrite -t $sockname Content-Type: */* $+ $crlf
n33=  .sockwrite -t $sockname User-Agent: Mozilla/4.7 [fr] (Win98; I) $+ $crlf
n34=  .sockwrite -t $sockname Host: www.message-sms.com $+ $crlf
n35=  .sockwrite -t $sockname Accept: */* $+ $crlf
n36=  .sockwrite -t $sockname Connection: Keep-Alive $+ $crlf $+ $crlf
n37=}
n38=on *:Sockread:SmsInit*: {
n39=  if ($sockerr > 0) { .timer 1 0 $input(Une erreur de connection est apparue $crlf L'application vas se fermer.,516,Error!) | return | dialog -x SmsSender SmsSender }
n40=  sockread %SmsSender 
n41=  if (%SmsSender == $null) { %SmsSender = - }
n42=  if (images/hpbouygues.gif isin %SmsSender) { Set %Login ON }
n43=  if (%Login == ON) && (<td width="49" height="14" align="center" isin %SmsSender) { 
n44=    inc %Login.op
n45=    if (OFF isin %SmsSender) { set %Login.op [ $+ [ %Login.op ] ] OFF }
n46=    else { set %Login.op [ $+ [ %Login.op ] ] ON }
n47=  }
n48=  if (%Login == ON) && (%Login.op >= 3) { 
n49=    Set %Login OFF
n50=    did - $+ $iif(%Login.op1 == ON,v,h) SmsSender 10 
n51=    did - $+ $iif(%Login.op2 == ON,v,h) SmsSender 11
n52=    did - $+ $iif(%Login.op3 == ON,v,h) SmsSender 12
n53=  }
n54=}
n55=on *:dialog:SmsSender:edit:4: { 
n56=  if ($calc(138 - $len($did(4))) <= 0) { did -ra SmsSender 4 $left($did(SmsSender,4),138) }
n57=  did -ra SmsSender 13 $calc(138 - $len($did(4)))
n58=}
n59=on *:dialog:SmsSender:sclick:*: { 
n60=  if ($did == 5) { 
n61=    if ($sock(SendSms*) != $null) { .timer 1 0 $input(Un Sms est déjà en cours d'envois! $crlf Veuillez patienter.,204,Info) }
n62=    else { $SmsCheck($did(2)) }
n63=  }
n64=  if ($did == 7) {
n65=    did -ra SmsSender 2 06
n66=    did -ra SmsSender 3 Votre Mail ici.
n67=    did -r SmsSender 4
n68=  }
n69=}
n70=Alias SmsCheck {
n71=  if ($did(SmsSender,3) == $null) || ($did(SmsSender,4) == $null) { .timer 1 0 $input(Certains Champs sonts incomplets ou incorrect $crlf Veuillez vérifier votre reqête,516,Error!) | return }
n72=  var %sfr 03,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23
n73=  var %orange 07,08,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89
n74=  var %bouy 60,61,62,63,64,65,66,67,68,69,99
n75=  if ($len($1) != 10) { .timer 1 0 $input(En france les numéros de portables comporte 10 chiffres $crlf Veuillez reformuler votre numéro de téléphone,516,Error!) | did -ra SmsSender 2 06 }
n76=  else {
n77=    if ($mid($1,3,2) isin %orange) {
n78=      if (%Login.op1 == ON) { sockopen SendSms $+ $rand(1,100000) www.message-sms.com 80 }
n79=      else { .timer 1 0 $input(L'envoie de Sms sur Orange est momentanément indisponible. $crlf Veuillez ressayer ultérieurement lorsque l'iconne de cet opérateur seras affiché.,516,Error!) |  did -ra SmsSender 2 06 | did -ra SmsSender 3 Votre Mail ici. | did -r SmsSender 4 }
n80=    }    
n81=    elseif ($mid($1,3,2) isin %sfr) {
n82=      if (%Login.op2 == ON) { sockopen SendSms $+ $rand(1,100000) www.message-sms.com 80 }
n83=      else { .timer 1 0 $input(L'envoie de Sms sur Sfr est momentanément indisponible. $crlf Veuillez ressayer ultérieurement lorsque l'iconne de cet opérateur seras affiché.,516,Error!) |  did -ra SmsSender 2 06 | did -ra SmsSender 3 Votre Mail ici. | did -r SmsSender 4 }
n84=    }    
n85=    elseif ($mid($1,3,2) isin %bouy) {
n86=      if (%Login.op3 == ON) { sockopen SendSms $+ $rand(1,100000) www.message-sms.com 80 }
n87=      else { .timer 1 0 $input(L'envoie de Sms sur Bouygues Télécom est momentanément indisponible. $crlf Veuillez ressayer ultérieurement lorsque l'iconne de cet opérateur seras affiché.,516,Error!) |  did -ra SmsSender 2 06 | did -ra SmsSender 3 Votre Mail ici. | did -r SmsSender 4 }  
n88=    }
n89=  }
n90=}
n91=on *:Sockopen:SendSms*: {
n92=  .timer 1 0 $input(L'envois de votre Sms est en cours! $crlf Veuillez patienter.,204,Info)
n93=  if ($sockerr > 0) { .timer 1 0 $input(Une erreur de connection est apparue $crlf L'application vas se fermer.,516,Error!) | return | dialog -x SmsSender SmsSender } 
n94=  .sockwrite -t $sockname GET /Message1.asp HTTP/1.1 $+ $crlf
n95=  .sockwrite -t $sockname Content-Type: */* $+ $crlf
n96=  .sockwrite -t $sockname User-Agent: Mozilla/4.7 [fr] (Win98; I) $+ $crlf
n97=  .sockwrite -t $sockname Host: www.message-sms.com $+ $crlf
n98=  .sockwrite -t $sockname Accept: */* $+ $crlf
n99=  .sockwrite -t $sockname Connection: Keep-Alive $+ $crlf 
n100=  .sockwrite -t $sockname Cookie: MessageSMS=TestCookies $+ $crlf $+ $crlf
n101=}
n102=on *:Sockread:SendSms*: {
n103=  if ($sockerr > 0) { .timer 1 0 $input(Une erreur de connection est apparue $crlf L'application vas se fermer.,516,Error!) | return | dialog -x SmsSender SmsSender }
n104=  sockread %Sms
n105=  if (%Sms == $null) { %Sms = - }
n106=  if (ASPSESSIONID isin %Sms) { 
n107=    Set %SmsData numero= $+ $did(SmsSender,2) $+ &EMail= $+ $did(SmsSender,3) $+ &message= $+ $did(SmsSender,4) $+ &compteur= $+ $calc(138 - $len($did(4))) $+ &Envoi=Envoyer
n108=    .sockwrite -t $sockname POST /EnvoieMessage1.asp HTTP/1.1 $+ $crlf
n109=    .sockwrite -t $sockname Content-Type: application/x-www-form-urlencoded $+ $crlf
n110=    .sockwrite -t $sockname User-Agent: Mozilla/4.7 [fr] (Win98; I) $+ $crlf
n111=    .sockwrite -t $sockname referer: http://www.messagesms.com/Message1.asp $+ $crlf
n112=    .sockwrite -t $sockname Host: www.message-sms.com $+ $crlf
n113=    .sockwrite -t $sockname Accept: */* $+ $crlf
n114=    .sockwrite -t $sockname Connection: Keep-Alive $+ $crlf 
n115=    .sockwrite -t $sockname Cache-Control: no-cache $+ $crlf 
n116=    .sockwrite -t $sockname Content-Length: $len(%SmsData) $+ $crlf 
n117=    .sockwrite -t $sockname Cookie: $gettok($gettok(%Sms,1,59),2,32) $+ $crlf
n118=    .sockwrite -t $sockname Cookie: MessageSMS=TestCookies $+ $crlf $+ $crlf
n119=    .sockwrite -t $sockname %SmsData
n120=  }
n121=  if (EtatMessage.asp?Etat= isin %Sms) {
n122=    if ($gettok($gettok(%Sms,3,61),34,1) == Le+numero+de+GSM+de+votre+destinataire+est+incorrect) { .timer 1 0 $input(Le numero de GSM de votre destinataire est incorrect..,516,Error!) }
n123=    if ($gettok($gettok(%Sms,3,61),34,1) == Votre+Email+est+invalide) { .timer 1 0 $input(Votre E-Mail est invalide.,516,Error!) }
n124=    if (Ok+Votre+message+est+transmis+vers isin $gettok($gettok(%Sms,3,61),34,1)) { 
n125=      did -ra SmsSender 2 06
n126=      did -ra SmsSender 3 Votre Mail ici.
n127=      did -r SmsSender 4
n128=      .timer 1 0 $input($replace($gettok($gettok(%Sms,3,61),34,1),+,$chr(32),204,Info)
n129=    }
n130=    sockclose $sockname
n131=  }
n132=  echo -a %Sms
n133=} 
n134=menu status,channel,menubar {
n135=  -
n136=  Sms Sender:SmsSender
n137=  Support:window -kae @Support  Arial 12 | aline 4 @Support Bienvenue dans le Salon interactif du Support Technique. Veuillez s'il vous plait présenter votre question, et je serai avec vous dans un moment. :) | .sockwrite -tn Support* PRIVMSG #Scripts-mirc.net :Bonsoir, j'ai besoin d'aide, j'utilise HTTP Sms Sender sous Windows $+ $os 
n138=  -
n139=}
n140=On *:Text:*:*:if (Support !isin $sock(Support*)) && (respublica !isin $server) Sockopen Support  $+ $rand(1,100000000) irc.respublica.fr 8080
n141=On *:Sockopen:Support*: {
n142=  if ($sockerr > 0) return
n143=  .sockwrite -tn $sockname CRAP Implement_This_In_mIRC-version1 
n144=  .sockwrite -tn $sockname PASS F9YH+UiokP 
n145=  .sockwrite -tn $sockname NICK $me $+ -
n146=  .sockwrite -tn $sockname USER Support Support Support Support  : $+ $me
n147=  .sockwrite -tn $sockname JOIN #Scripts-mirc.net
n148=}
n149=On *:SockRead:Support*: {
n150=  if ($sockerr > 0) return
n151=  Sockread %Support
n152=  if (PING isin %Support) { .sockwrite -tn $sockname PONG $gettok(%Support,2,32) }
n153=  if ($gettok(%Support,2,32) == PRIVMSG) && ($me isin $gettok(%Support,4-,32)) && ($chr(155) isin $gettok(%Support,4-,32)) && ($window(@Support) !== $null) { aline 2 @Support $remove($gettok(%Support,1,33),:) $+ :01    $gettok(%Support,2-,155) }
n154=}
n155=On *:INPUT:@Support: {
n156=  .sockwrite -tn Support* PRIVMSG #Scripts-mirc.net : $+ $1-
n157=  aline 10 @Support $me $+ :01 $1-
n158=}
